PLplot: tclMatrix.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Typedefs | Enumerations | Functions
tclMatrix.h File Reference
`#include "plplot.h"`
`#include <tcl.h>`

Go to the source code of this file.

## Classes
struct | tclMatrix
struct | tclMatrixXtnsnDescr

## Macros
#define | MAX_ARRAY_DIM 3
#define | I3D(i, j, k) k + matPtr->n[2] * ( I2D( i, j ) )
#define | I2D(i, j) j + matPtr->n[1] * ( I1D( i ) )
#define | I1D(i) i

## Typedefs
typedef PLFLT | Mat_float
typedef int | Mat_int
typedef int(* | tclMatrixXtnsnProc )(tclMatrix *pm, Tcl_Interp *interp, int argc, const char *argv[])
typedef struct tclMatrixXtnsnDescr | tclMatrixXtnsnDescr

## Enumerations
enum | { TYPE_FLOAT, TYPE_INT }

## Functions
int PLDLLIMPEXP_TCLMAT | Matrix_Init (Tcl_Interp *)
int | Tcl_MatrixCmd (ClientData clientData, Tcl_Interp *interp, int argc, const char **argv)
tclMatrix PLDLLIMPEXP_TCLMAT * | Tcl_GetMatrixPtr (Tcl_Interp *interp, const char *matName)
int PLDLLIMPEXP_TCLMAT | Tcl_MatrixInstallXtnsn (const char *cmd, tclMatrixXtnsnProc proc)

## Macro Definition Documentation

#define I1D | ( |  | i | ) | i

Definition at line 59 of file tclMatrix.h.

#define I2D | ( |  | i,
|  |  | j
| ) |  | j + matPtr->n[1] * ( I1D( i ) )

Definition at line 58 of file tclMatrix.h.

#define I3D | ( |  | i,
|  |  | j,
|  |  | k
| ) |  | k + matPtr->n[2] * ( I2D( i, j ) )

Definition at line 57 of file tclMatrix.h.

#define MAX_ARRAY_DIM 3

Definition at line 53 of file tclMatrix.h.

## Typedef Documentation

typedef PLFLT Mat_float

Definition at line 39 of file tclMatrix.h.

typedef int Mat_int

Definition at line 44 of file tclMatrix.h.

typedef struct tclMatrixXtnsnDescr tclMatrixXtnsnDescr

typedef int( * tclMatrixXtnsnProc)(tclMatrix *pm, Tcl_Interp *interp, int argc, const char *argv[])

Definition at line 346 of file tclMatrix.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  TYPE_FLOAT |
  TYPE_INT |

Definition at line 47 of file tclMatrix.h.

## Function Documentation

int PLDLLIMPEXP_TCLMAT Matrix_Init | ( | Tcl_Interp * |  | ) |

Definition at line 29 of file matrixInit.c.

tclMatrix PLDLLIMPEXP_TCLMAT* Tcl_GetMatrixPtr | ( | Tcl_Interp * | interp,
|  | const char * | matName
| ) |  |

Definition at line 370 of file tclMatrix.c.

int Tcl_MatrixCmd | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | const char ** | argv
| ) |  |

int PLDLLIMPEXP_TCLMAT Tcl_MatrixInstallXtnsn | ( | const char * | cmd,
|  | tclMatrixXtnsnProc | proc
| ) |  |

Definition at line 410 of file tclMatrix.c.